Package com.io7m.jtensors.core.parameterized.matrices

# Interface PMatrix3x3FType<A,B>

Type Parameters:
  `A` - A phantom type parameter (possibly representing a source coordinate system)
  `B` - A phantom type parameter (possibly representing a target coordinate system)

All Superinterfaces:
  `MatrixComputationalType`, `MatrixReadable3x3FType`, `MatrixReadableFType`, `PMatrixReadable3x3FType<A,B>`

All Known Implementing Classes:
  `PMatrix3x3F`

@Immutable public interface PMatrix3x3FType<A,B> extends PMatrixReadable3x3FType<A,B>, MatrixComputationalType
The type of 3x3 `float`-typed matrices.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `r0c0()`
  `float`
  `r0c1()`
  `float`
  `r0c2()`
  `float`
  `r1c0()`
  `float`
  `r1c1()`
  `float`
  `r1c2()`
  `float`
  `r2c0()`
  `float`
  `r2c1()`
  `float`
  `r2c2()`

  ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.matrices.MatrixReadable3x3FType

  `rowColumn`

- ## Method Details

  - ### r0c0

    @Parameter(order=0) float r0c0()
    Specified by:
      `r0c0` in interface `MatrixReadable3x3FType`
    Returns:
      The value at row 0 column 0

  - ### r0c1

    @Parameter(order=1) float r0c1()
    Specified by:
      `r0c1` in interface `MatrixReadable3x3FType`
    Returns:
      The value at row 0 column 1

  - ### r0c2

    @Parameter(order=2) float r0c2()
    Specified by:
      `r0c2` in interface `MatrixReadable3x3FType`
    Returns:
      The value at row 0 column 2

  - ### r1c0

    @Parameter(order=3) float r1c0()
    Specified by:
      `r1c0` in interface `MatrixReadable3x3FType`
    Returns:
      The value at row 1 column 0

  - ### r1c1

    @Parameter(order=4) float r1c1()
    Specified by:
      `r1c1` in interface `MatrixReadable3x3FType`
    Returns:
      The value at row 1 column 1

  - ### r1c2

    @Parameter(order=5) float r1c2()
    Specified by:
      `r1c2` in interface `MatrixReadable3x3FType`
    Returns:
      The value at row 1 column 2

  - ### r2c0

    @Parameter(order=6) float r2c0()
    Specified by:
      `r2c0` in interface `MatrixReadable3x3FType`
    Returns:
      The value at row 2 column 0

  - ### r2c1

    @Parameter(order=7) float r2c1()
    Specified by:
      `r2c1` in interface `MatrixReadable3x3FType`
    Returns:
      The value at row 2 column 1

  - ### r2c2

    @Parameter(order=8) float r2c2()
    Specified by:
      `r2c2` in interface `MatrixReadable3x3FType`
    Returns:
      The value at row 2 column 2